Get all invoices

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

invoice_view
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
internal_number

Internal number to identify the invoice

string
company_id

Foreign key to company, identifies the company of the invoice

globally unique identifier
company_code

Company code of the invoice

string
company_name

Company name of the invoice

string
company_email

Company email of the invoice

string
company_phone

Company phone of the invoice

string
date_create

Invoice creation date in utc

date
memo

Memo field for invoice

string
description

Decription field for invoice

string
invoice_type

Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“

string
source_type

Source of invoice, refers to the type of the object from which invoice is derived

string
source_id_in_table

Key of the object from which the invoice is derived

globally unique identifier
total_lines

Total amount of lines linked to the invoice

integer
total_amount

Total value of items in lines linked to the invoice

decimal number
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
invoice_details

Details of invoice

Collection of invoice_details_view

Response Formats

application/json, text/json

Sample:
{
  "id": "ba69aec7-3964-42bb-ac15-b71d6d7163a6",
  "internal_number": "sample string 2",
  "company_id": "01e3d327-bfec-473d-a3a0-4b4c8a2ca6f4",
  "company_code": "sample string 4",
  "company_name": "sample string 5",
  "company_email": "sample string 6",
  "company_phone": "sample string 7",
  "date_create": "2026-11-13T02:07:48.5270794+00:00",
  "memo": "sample string 9",
  "description": "sample string 10",
  "invoice_type": "sample string 11",
  "source_type": "sample string 12",
  "source_id_in_table": "0da0ab1b-06ed-4f5b-929d-ea784c99b2eb",
  "total_lines": 14,
  "total_amount": 15.0,
  "modified_dateutc": "2026-11-13T02:07:48.5270794+00:00",
  "invoice_details": [
    {
      "id": "9c2fc6d2-b54a-4241-b2cc-8599c744f42e",
      "invoice_id": "9077a7ee-e8e8-4f74-ad96-3996911e25b5",
      "article_id": "a14e228d-ebc9-4bcd-b79d-7397c60d6088",
      "article_name": "sample string 4",
      "article_description": "sample string 5",
      "article_code": "sample string 6",
      "line_num": 7,
      "quantity_decimal": 9.0,
      "article_price": 10.0,
      "discount": 11.0,
      "vat_rate": 12.0,
      "vat_value": 13.0,
      "total_vat": 14.0,
      "total_line": 15.0,
      "total_line_with_vat": 16.0,
      "modified_dateutc": "2026-11-13T02:07:48.6181648+00:00"
    },
    {
      "id": "9c2fc6d2-b54a-4241-b2cc-8599c744f42e",
      "invoice_id": "9077a7ee-e8e8-4f74-ad96-3996911e25b5",
      "article_id": "a14e228d-ebc9-4bcd-b79d-7397c60d6088",
      "article_name": "sample string 4",
      "article_description": "sample string 5",
      "article_code": "sample string 6",
      "line_num": 7,
      "quantity_decimal": 9.0,
      "article_price": 10.0,
      "discount": 11.0,
      "vat_rate": 12.0,
      "vat_value": 13.0,
      "total_vat": 14.0,
      "total_line": 15.0,
      "total_line_with_vat": 16.0,
      "modified_dateutc": "2026-11-13T02:07:48.6181648+00:00"
    }
  ]
}